peak.can

## Class TableMessageThread

- java.lang.Object
- - java.lang.Thread
  - - peak.can.TableMessageThread

- All Implemented Interfaces:
    java.lang.Runnable

      public class TableMessageThread
      extends java.lang.Thread

  The TableMessageThread class extends Thread class and is used to process JTable display.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableMessageThread()` Default Constructor
    `TableMessageThread(javax.swing.JTable table, java.util.HashMap data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()` Starts thread process

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TableMessageThread

          public TableMessageThread()

      Default Constructor

    - #### TableMessageThread

          public TableMessageThread(javax.swing.JTable table,
                                    java.util.HashMap data)

      Parameters:
        `table` - JTable that the thread must refresh
        `data` - Reference to the Collection which store readed CAN Messages

  - ### Method Detail

    - #### run

          public void run()

      Starts thread process
      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`